petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatFactorSolveSchurComplementTranspose

Solve the transpose of the Schur complement system computed during the factorization step

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorSolveSchurComplementTranspose(Mat F, Vec rhs, Vec sol)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor()
| rhs | - location where the right hand side of the Schur complement system is stored
| sol | - location where the solution of the Schur complement system has to be returned

### Notes

The sizes of the vectors should match the size of the Schur complement

### References

### See Also

MatGetFactor(), MatFactorSetSchurIS()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages